package com.tofly.analyse.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.analyse.entity.DataSet;
import com.tofly.analyse.mapper.DataSetMapper;
import com.tofly.analyse.service.DataSetService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author zhoux
 */
@AllArgsConstructor
@Service("dataSetService")
public class DataSetServiceImpl extends ServiceImpl<DataSetMapper, DataSet> implements DataSetService {
	
	@Autowired	
	private DataSetMapper dataSetMapper;
	
	@Override
	public List<String> getColData(Map<String, String> queryParams) {
		return dataSetMapper.getColData(queryParams);
	}

	@Override
	public List<Map> getDataSetData(Map<String, String> queryParams) {
		return dataSetMapper.getDataSetData(queryParams);
	}
		

	

}