package com.tofly.xrtygis.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author HaiQiu
 * @since 2023/4/15
 */
@Data
@Configuration
public class DictConfig {

    /**
     * 设备流量字典类型值
     */
    private String flow = "1";

    /**
     * 指标夜间最小流量/瞬时流量字典类型值
     */
    private String nightFlowAllIndex = "11";

    /**
     * 指标累计流量字典类型值
     */
    private String momentFlowAllIndex = "19";
}
