package com.tofly.spire.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.spire.entity.SpireBigGrid;
import com.tofly.spire.entity.dto.SpireBigGridDto;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 大表（管网）(SpireBigGrid)表服务接口
 *
 * @author HaiQiu
 * @since 2022-11-11 09:16:06
 */
public interface SpireBigGridXxlJobService extends IService<SpireBigGrid> {


    /**
     * 同步大表管网实时基础数据
     */
    void  getBulkMeterBigBaseData();


   void  getMapGdDataNew();

   void  synDeviceArchiveManage();
    /**
     * 分发管网数据到历史表，指标表等
     * @return
     */
    void synData();

   void  synBulkMeterMonitorDataThread();


    void synBulkMeterThread(String date, String sn);
}

